Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.java.security
Class AnotherIdentityIsAuthenticatedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.novell.java.security.AuthenticatorException
                              |
                              +--com.novell.java.security.LoginException
                                    |
                                    +--com.novell.java.security.AnotherIdentityIsAuthenticatedException

public class AnotherIdentityIsAuthenticatedException
extends LoginException

Thrown when another identity is authenticated to the resource for which the authentication is requested.

See Also:
  `LoginException`, Serialized Form

Fields inherited from class com.novell.java.security.AuthenticatorException
`rootException`

Constructor Summary
`AnotherIdentityIsAuthenticatedException()` Default constructor.
`AnotherIdentityIsAuthenticatedException(java.lang.String message)` Constructor with a String message.
`AnotherIdentityIsAuthenticatedException(java.lang.String message, java.lang.Throwable exception)` Constructor with a String message and a root cause exception.
`AnotherIdentityIsAuthenticatedException(java.lang.Throwable exception)` Constructor with a root cause exception.

Methods inherited from class com.novell.java.security.AuthenticatorException
`getRootCause, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnotherIdentityIsAuthenticatedException

    public AnotherIdentityIsAuthenticatedException()

  Default constructor.

### AnotherIdentityIsAuthenticatedException

    public AnotherIdentityIsAuthenticatedException(java.lang.String message)

  Constructor with a String message.
  Parameters:
    `message` - message associated with the exception

### AnotherIdentityIsAuthenticatedException

    public AnotherIdentityIsAuthenticatedException(java.lang.String message,
                                                   java.lang.Throwable exception)

  Constructor with a String message and a root cause exception.
  Parameters:
    `message` - A message associated with the exception.
    `exception` - The root cause exception.

### AnotherIdentityIsAuthenticatedException

    public AnotherIdentityIsAuthenticatedException(java.lang.Throwable exception)

  Constructor with a root cause exception.
  Parameters:
    `exception` - The root cause exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD